### Method

# Gio File get_child

#### Declaration

    GFile*
    g_file_get_child (
      GFile* file,
      const char* name
    )

#### Description

Gets a child of `file` with basename equal to `name`.

Note that the file with that specific name might not exist, but you can still have a `GFile` that points to it. You can use this for instance to create that file.

This call does no blocking I/O.

#### Parameters

`name`

  Type: `const char*`

  String containing the child’s basename.

  The data is owned by the caller of the method.
  The value is a file system path, using the OS encoding.

#### Return value

Type: `GFile`

A `GFile` to a child specified by `name`. Free the returned object with g_object_unref().

The caller of the method takes ownership of the data, and is responsible for freeing it.